List addresses for a customer
List addresses for a customer.
get/tenants/{tenantUid}/customers/{customerUid}/addresses
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
customerUidstringRequiredPattern:
Reference to a Customer.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
CustomerAddressListResponse
application/json
get/tenants/{tenantUid}/customers/{customerUid}/addresses
GET /v2/tenants/{tenantUid}/customers/{customerUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
CustomerAddressListResponse
{
"items": [
{
"address": "text",
"city": "text",
"companyName": "text",
"firstname": "text",
"lastname": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"postalCode": "text",
"type": "DELIVERY_ADDRESS",
"customerAddressUid": "text",
"displayName": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

